using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a harpy corpse" )]
	public class ElderHarpy : BaseCreature
	{
		[Constructable]
		public ElderHarpy() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a harpy hen";
			Body = 171;
			BaseSoundID = 402;

			SetStr( 196, 220 );
			SetDex( 186, 210 );
			SetInt( 61, 85 );

			SetHits( 158, 172 );

			SetDamage( 9, 16 );

			SetSkill( SkillName.MagicResist, 70.1, 85.0 );
			SetSkill( SkillName.Tactics, 90.1, 110.0 );
			SetSkill( SkillName.HandToHand, 80.1, 100.0 );

			Fame = 3500;
			Karma = -3500;

			VirtualArmor = 36;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average, 2 );
		}

		public override int GetAttackSound()
		{
			return 916;
		}

		public override int GetAngerSound()
		{
			return 916;
		}

		public override int GetDeathSound()
		{
			return 917;
		}

		public override int GetHurtSound()
		{
			return 919;
		}

		public override int GetIdleSound()
		{
			return 918;
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 7; } }
		public override MeatType MeatType{ get{ return MeatType.BigBird; } }
		public override int Feathers{ get{ return Utility.RandomMinMax( 50, 75 ); } }

		public ElderHarpy( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}